Subject: Re: 23.1; Problem of rendering cyrillic fonts on Mac OS X

From: Konstantin Lepa <[email-masked]>
Date: Mon, 21 Sep 2009 11:42:40 +0400

Hi.

It's very strange :-( It's my Font Book's info (Mac OS X 10.5.8):

Thanks.

On Sep 20, 2009, at 1:53 AM, Adrian Robert wrote:

> Hi,
>
> thanks.  When I open the attached font in Font Book and choose info  
> view (Cmd-i), it says languages are English, French, German,  
> Spanish, Italian, Dutch, Swedish, Danish, Finnish, Portuguese.  No  
> Russian.  And when emacs asks for fonts rendering Cyrillic, Terminus  
> says "no", according to NSFont-coveredCharacterSet API.  I am not  
> sure how TextEdit is detecting that it CAN render Cyrillic.  The  
> most useful thing at this point might be to examine that font more  
> closely using FontForge and see if it lacks some specification that  
> other Cyrillic fonts have.  And at the same time check what  
> specification it DOES have about Cyrillic.  Then we can decide  
> whether to try changing Emac's method or fixing the font.  (Or both..)
>
> -Adrian
>
>
>
> On Sep 19, 2009, at 11:19 AM, Konstantin Lepa wrote:
>
>> Hi.
>>
>> Cyrillic char 'я':
>> -- cut --
>>        character: я (1103, #o2117, #x44f)
>> preferred charset: unicode-bmp (Unicode Basic Multilingual Plane (U 
>> +0000..U+FFFF))
>>       code point: 0x044F
>>           syntax: w 	which means: word
>>         category: .:Base, Y:2-byte Cyrillic, c:Chinese, h:Korean,  
>> j:Japanese, y:Cyrillic
>>      buffer code: #xD1 #x8F
>>        file code: #xD1 #x8F (encoded by coding system utf-8-unix)
>>          display: by this font (glyph code)
>>    nil:-apple-Monaco-medium-normal-normal-*-20-*-*-*-m-0-iso10646-1  
>> (#x1C0)
>>
>> Character code properties: customize what to show
>>  name: CYRILLIC SMALL LETTER YA
>>  old-name: CYRILLIC SMALL LETTER IA
>>  general-category: Ll (Letter, Lowercase)
>>
>> There are text properties here:
>>  c-in-sws             t
>>  face                 font-lock-comment-face
>>  fontified            t
>> -- cut --
>>
>> English char 'z':
>> -- cut --
>>        character: z (122, #o172, #x7a)
>> preferred charset: ascii (ASCII (ISO646 IRV))
>>       code point: 0x7A
>>           syntax: w 	which means: word
>>         category: .:Base, a:ASCII, l:Latin, r:Roman
>>      buffer code: #x7A
>>        file code: #x7A (encoded by coding system utf-8-unix)
>>          display: by this font (glyph code)
>>    nil:-apple-Terminus-medium-normal-normal-*-20-*-*-*-m-0- 
>> iso10646-1 (#x5E)
>>
>> Character code properties: customize what to show
>>  name: LATIN SMALL LETTER Z
>>  general-category: Ll (Letter, Lowercase)
>>
>> There are text properties here:
>>  c-in-sws             t
>>  face                 font-lock-comment-face
>>  fontified            t
>> -- cut --
>>
>> Terminus font (english and russian layout) works very well in  
>> TextEdit.app.
>>
>> <TerminusMedium.dfont>
>>
>>
>> Thanks.
>>
>> On Sep 19, 2009, at 2:24 AM, Adrian Robert wrote:
>>
>>> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3994
>>>
>>> Hi,
>>>
>>> please check C-u C-x = on the characters in question and let me  
>>> know what font they are actually using.
>>>
>>> (I suspect the problem is Emacs.app is now paying more attention  
>>> to what the font itself says it has characters for, but I'm not  
>>> sure.  Another test, try using Cyrillic characters with Terminus  
>>> in TextEdit.)
>>>
>>> thanks.
>>>
>>
>